"Already active iterator on this provider was closed." when splitting a postgis polygon

2013-05-19 11:02 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16737

Description

On QGIS master it happens a lot that when splitting a perfectly good geometry the tools silently fails and then in the log it shows

Already active iterator on this provider was closed.

If the user save edits, re-toggle editing and try the split again the operation usually works.

Really not sure if it is a regression, it is for sure a real pain for real world work.

Related issues:

Related to QGIS Application - Bug report # 7472: vector editing errors Closed 2013-03-29

Associated revisions

Revision 4164d6ed - 2013-06-21 04:19 PM - Nathan Woodrow 

Merge branch 'iterator'

Semi fix #7472.

Semi fix #7862

History

#1 - 2013-05-19 11:04 AM - Giovanni Manghi

on PostGIS it happens a slot also to get a

postgis. The geometry is invalid. Please repair before trying to split it.

on a good geometry... and in this cases regardless the error message the split is done.

#2 - 2013-06-21 07:23 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"4164d6ed0b8498f3e3e45cfa40b639674c8c5074".
